/*
 *  WICONIFY    A utility that allows you to iconify any Intuition window
 *              on any screen, and to open WB windows on any screen.
 *
 *  wHandler.h  Contains the defitions needed by the handler.
 *
 *  Copyright 1990 by Davide P. Cervone, all rights reserved.
 *  You may use this code, provided this copyright notice is kept intact.
 */

#ifndef INTUITION_PREFERENCES_H
#define INTUITION_PREFERENCES_H             /* don't need 'em */
#include <intuition/intuition.h>
#endif
#include "wStructs.h"
#include "wMemory.h"

#define ICONIFYTITLE    "wIconify v3.8"
#define PROGRAM         "wIconify-Handler"
#define VERSION         "v3.8"
#define COPYRIGHT\
   "wIconify Copyright (c) 1990 by Davide P. Cervone, all rights reserved"

/*
 *  Iconify version
 */
#define MAJVERSION      3
#define MINVERSION      8

/*
 *  Minimum loader version
 */
#define MAJLOADVERS     1
#define MINLOADVERS     3

/*
 *  Minimum wIconCalls version
 */
#define MAJLIBVERS      1
#define MINLIBVERS      3


/*
 *  Menu pen colors
 */
#define BACKGROUND      0
#define HIGHLIGHT       1
#define TEXTPEN         1


/*
 *  Some defaults for signals
 */
#define ONE     1L
#define DEFAULTENDSIGNAL    SIGBREAKF_CTRL_C
#define DEFAULTCLOSESIGNAL  SIGBREAKF_CTRL_F


/*
 *  Flags for wIconify backdrop windows
 */
#define IDCMPFLAGS\
    MOUSEBUTTONS| GADGETDOWN| MENUPICK| ACTIVEWINDOW| INACTIVEWINDOW| VANILLAKEY


/*
 *  Identifies the messages sent to a window by wIconify
 */
#define FREECLASS       (CLOSEWINDOW| NEWSIZE)

#define SHIFTKEYS       (IEQUALIFIER_LSHIFT| IEQUALIFIER_RSHIFT)



/*
 *  For defining a default color map
 */
#define NOCHANGE        99
#define NOCOLOR         ((UWORD)-1)


/*
 *  Identifies the WB backdrop window
 */
#define WBFLAGS         (WBENCHWINDOW| BORDERLESS| BACKDROP)
#define WBWIDTH         175         /* new size to make the WB window */


/*
 *  Looks up a WICONREF from a wGadget structure
 */
#define GADGETICON  ((WICONREF *)theGadget->Gadget.UserData)
#define NOWINDOW        ((struct Window *)-1L)

#define NOTDONE     2

#include "wExtern.h"
